CASSCO ;	CASSETTE LOAD EVALUATION ROUTINE
 ;	COPYRIGHT (C) 1980 BY
 ;	DENNIS BATHORY KITSZ
 ;	ROXBURY, VERMONT  05669
 ;
 	ORG	6000H
 VIDEO	EQU	3C00H
 ;
 CLEAR	LD	HL,VIDEO
 	LD	DE,VIDEO+1
 	LD	BC,3FFH
 	LD	(HL),20H
 	LDIR
 	RET
 DELAY	PUSH	AF
 	PUSH	BC
 	LD	BC,8000H
 LOOPN	DEC	BC
 	LD	A,B
 	OR	C
 	JR	NZ,LOOPN
 	POP	BC
 	POP	AF
 	LD	A,(3840H)
 	AND	A
 	RET	Z
 	POP	AF
 	JR	ENTRY0
 	RET
 MESSG1	LD	HL,CHART
 	LD	DE,VIDEO+80H
 	LD	BC,3FH
 	LDIR
 	LD	HL,TESTNG
 	LD	DE,VIDEO+280H
 	LD	BC,80H
 	LDIR
 	RET
 MESSG2	LD	HL,COPYR
 	LD	DE,VIDEO+300H
 	LD	BC,40H
 	LDIR
 	RET
 MESSG3	LD	HL,WANTS
 	LD	DE,VIDEO+100H
 	LD	BC,3FH
 	LDIR
 	LD	HL,ISI
 	LD	DE,VIDEO+180H
 	LD	BC,3FH
 	LDIR
 	LD	HL,QUEST
 	LD	DE,VIDEO+200H
 	LD	BC,3FH
 	LDIR
 	RET
 MESSG4	LD	HL,MAKING
 	LD	DE,VIDEO+280H
 	LD	BC,80H
 	LDIR
 	RET
 ENTRY0	CALL	CLEAR
 	CALL	MESSG3
 	CALL	MESSG2
 KEYTST	LD	A,(3810H)
 	CP	2
 	JR	Z,TAPER
 	CP	4
 	JR	Z,ENTRY1
 	CP	8
 	JR	NZ,KEYTST
 	CALL	CLEAR
 	JP	06CCH
 TAPER	CALL	MESSG4
 REPAT	LD	A,0FFH
 	CALL	0264H
 	LD	A,(3840H)
 	AND	A
 	JR	Z,REPAT
 	JR	ENTRY0
 ENTRY1	CALL	CLEAR
 	CALL	MESSG1
 	CALL	MESSG2
 LOOPX	LD	HL,VIDEO+100H
 	LD	DE,VIDEO+200H
 LOOP2	XOR	A
 	OUT	(0FFH),A
 	LD	A,8FH
 	LD	(HL),A
 	LD	A,20H
 	LD	(DE),A
 	INC	L
 	INC	E
 	IN	A,(0FFH)
 	BIT	7,A
 	PUSH	AF
 	LD	A,L
 	CP	40H
 	JR	Z,OUT1
 	POP	AF
 	JR	NZ,LOOP2
 	JR	Z,LOOP3
 OUT1	LD	L,0
 	LD	E,0
 	CALL	DELAY
 	POP	AF
 	JR	NZ,LOOP2
 LOOP3	XOR	A
 	OUT	(0FFH),A
 	LD	A,8FH
 	LD	(DE),A
 	LD	A,20H
 	LD	(HL),A
 	INC	L
 	INC	E
 	IN	A,(0FFH)
 	BIT	7,A
 	PUSH	AF
 	LD	A,E
 	CP	40H
 	JR	Z,OUT2
 	POP	AF
 	JR	Z,LOOP3
 	JR	NZ,LOOP2
 OUT2	LD	L,0
 	LD	E,0
 	CALL	DELAY
 	POP	AF
 	JR	Z,LOOP3
 	JR	ENTRY1
 CHART	DEFM	'00 01 02 03 04 05 06 07 08 09 10 '
 	DEFM	'11 12 13 14 15 16 17 18 19 20   '
 COPYR	DEFM	'COPYRIGHT (C) 1980 BY DENNIS '
 	DEFM	'BATHORY KITSZ. ALL RIGHTS RESERVED. '
 WANTS	DEFM	'                     ** CASSETTE-SCOPE '
 	DEFM	'**                             '
 ISI	DEFM	'              A SERVICE OF INSTANT '
 	DEFM	'SOFTWARE, INC.                   '
 QUEST	DEFM	'<1> TO MAKE TAPE, <2> TO TEST TAPE, '
 	DEFM	'<3> TO RETURN TO BASIC       '
 MAKING	DEFM	'LOAD TAPE INTO RECORDER.  SET MACHINE '
 	DEFM	'TO RECORD, AND TURN IT ON '
 	DEFM	'MANUALLY.  RECORDING IS CONTINUOUS. '
 	DEFM	'PRESS <BREAK> TO RETURN MENU.       '
 TESTNG	DEFM	'LOAD TAPE INTO RECORDER.  SET MACHINE '
 	DEFM	'TO PLAY, AND TURN IT ON '
 	DEFM	'  MANUALLY.  HOLD =BREAK> DOWN FOR ONE'
 	DEFM	'SECOND TO RETURN MENU.        '
 	END	ENTRY0
